
%define		module	ID3

Summary:	Module for manipulating ID3 informational tags on MP3 audio files
Summary(pl.UTF-8):	Moduł służący do manipulacji znacznikami ID3 plików MP3
Name:		python-%{module}
Version:	1.2
Release:	6
License:	GNU
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/id3-py/id3-py_%{version}.tar.gz
# Source0-md5:	de0bd6053dda674967dacb6492a90c69
URL:		http://id3-py.sourceforge.net/
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple Python module for retrieving and setting so-called
ID3 tags on MP3 compressed audio files through an object-oriented
interface. MP3 players generally use this simple information for
display track title, artist name, and album title while playing the
sound file.

ID3.py supports ID3 version 1.1, including the track number field. I
have no current plans to code up the monstrosity that is ID3v2
(http://www.id3.org/id3v2.3.0.html) but if someone wants to add that
functionality, feel free!

%description -l pl.UTF-8
Jest to prosty moduł Pythona służący do pobierania i ustawiania tak
zwanych znaczników ID3 ze skompresowanych plików audio MP3 poprzez
obiektowy interfejs. Odtwarzacze MP3 korzystają z tych prostych
informacji do wyświetlania numeru ścieżki, nazwy twórcy i tytułu
albumu w czasie odtwarzania pliku.

ID3.py obsługuje taki ID3 w wersji 1.1, włączając w to numery ścieżek.
Chwilowo nie jest planowana obsługa ID3v2
(http://www.id3.org/id3v2.3.0.html) - chętni do dodania takiej obsługi
proszeni są o kontakt z autorem.

%prep
%setup -q -n id3-py-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install id3-tagger.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py_install

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{py_sitescriptdir}/*.py[co]
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ID3.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 463dd4d
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 23e714a
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3892cc0
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e5b6f3
- release 5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b059fde
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 59086d3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d871273
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 706586e
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 saq <saq@pld-linux.org> f87d03c
- release 3 for rebuild with python 2.4

* Sat Nov 27 2004 saq <saq@pld-linux.org> 62718a9
- massive attack: added missing python-devel epoch do BR

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> f5c9eb7
- spaces->tabs
- formatting

* Wed Aug 18 2004 havner <havner@pld-linux.org> 897ea24
- rel 2

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 9b5f287
- removed %%include /usr/lib/rpm/macros.python

* Mon Jul 26 2004 Marcin Gajda <m.gajda@functional-software.com> 4a1c0c1
- massive attack: s/CLFAGS/CFLAGS/

* Wed May 26 2004 ankry <ankry@pld-linux.org> a05d5e1
- capitalization, tabs, other cosmetics

* Fri Feb 20 2004 undefine <undefine@pld-linux.org> 821ec46
- use python-sitescriptdir

* Thu Sep 18 2003 leafnode <leafnode@pld-linux.org> 7c1ba20
- created spec
- adapterized

